<?php
ob_start("ob_gzhandler"); // comment this line to disable gzip compression
require "inc/config.php";
require "inc/langs/".$s40[lang]	.".php";
if ($s40[installed]){
	require "inc/functions.php";
	checkinstall();
	require page($_GET[p],$_GET[c],$_GET[g],$_GET[gp]);
	if(file_exists("themes/".$s40[theme]."/layout.php") and file_exists("themes/".$s40[theme]."/style.css") and file_exists("themes/".$s40[theme]."/style.php")){
		require "themes/".$s40[theme]."/style.php";
		include "themes/".$s40[theme]."/layout.php";
	}else{
		require "themes/default/style.php";
		include "themes/default/layout.php";
	}
}else{
	include "inc/install.php";
}

?>
<?php
if(false){ //change to true to display page generating time
	$start=microtime();
	$start=explode(" ",$start);
	$start=$start[1]+$start[0];
	$end=microtime();
	$end=explode(" ",$end);
	$end=$end[1]+$end[0];
	printf($l[generator],phpversion(),$end-$start);
}
?> 